# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		snap	2014-09-14
%define		snapver	%(echo %{snap} | tr -d '-')
%include	/usr/lib/rpm/macros.perl
Summary:	Simple Web Indexing System for Humans - Enhanced
Summary(pl.UTF-8):	Prosty system indeksowania stron WWW - wersja rozszerzona
Name:		swish-e
Version:	2.7.0
Release:	0.%{snapver}.2
License:	GPL/LGPL
Group:		Applications/Text
#Source0:	http://swish-e.org/distribution/%{name}-%{version}.tar.gz
Source0:	http://swish-e.org/swish-daily/%{name}-%{version}-%{snap}.tar.gz
# Source0-md5:	c6b918413382ff61eb5e224c8b4c6f7d
Patch0:		format-security.patch
Patch1:		namespace.patch
URL:		http://swish-e.org/
#Icon:		swish-e.xpm
BuildRequires:	libxml2-devel
BuildRequires:	pcre-devel
BuildRequires:	rpm-perlprov
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Swish-e is Simple Web Indexing System for Humans - Enhanced.

Swish-e can quickly and easily index directories of files or remote
web sites and search the generated indexes.

Swish-e is extremely fast in both indexing and searching, highly
configurable, and can be seamlessly integrated with existing web sites
to maintain a consistent design. Swish-e can index web pages, but can
just as easily index text files, mailing list archives, or data stored
in a relational database.

Swish-e key features are:
- Emacs/Gnus mail index in cooordination with nnir.el
- Fast - many factors that affect speed, but a search on this server
  that returns a thousand documents takes only a few seconds.
- Flexible - a number of configuration options provide you a high
  degree of control over what is indexed and how.
- Powerful - the AND, OR and NOT operators are supported, words can be
  truncated (using *), and searches can be limited to particular fields
  (META tag fields, TITLEs, etc.)
- Free - nothing, zip, zero.
- It's made for Web sites - In indexing HTML files, SWISH-E can ignore
  data in most tags while giving higher relevance to information in
  header and title tags. Titles are extracted from HTML files and appear
  in the search results. SWISH can automatically search your whole Web
  site for you in one pass, if it's under one directory. You can also
  limit your search to words in HTML titles, comments, emphasized tags,
  and META tags. In addition, 8-bit HTML characters can be indexed,
  converted, and searched.
- It creates portable indexes - Index files consist of only one file,
  so they can be transported around and easily maintained.
- You can fix the source - We encourage people to send in patches and
  suggestions on how to make SWISH-E better. You may want to join the
  SWISH-E Discussion.

%description -l pl.UTF-8
Swish-e jest prostym systemem indeksującym WWW dla ludzi - w wersji
rozszerzonej.

Swish-e może zgrabnie i łatwo indeksować katalogi plików lub zdalne
strony WWW i przeszukiwać wygenerowane indeksy.

Swish-e jest ekstremalnie szybki zarówno w indeksowaniu i
wyszukiwaniu, mocno konfigurowalny, i może być łatwo zintegrowany z
istniejącymi stronami WWW w celu konfiguracji jego wyglądu. Swish-e
może indeksować nie tylko strony WWW, ale także pliki tekstowe,
archiwa list pocztowych lub dane przechowywane w relacyjnych bazach
danych.

Kluczowymi właściwościami swish-a są:
- Zgodne z Emacs/Gnus indeksowanie poczty w połączeniu z nnir.el
- Szybki - wiele współczynników ma wpływ na prędkość, ale wyszukiwanie
  na serwerze zwracające tysiące dokumentów zabiera tylko kilka sekund.
- Elastyczny - duża liczba opcji konfiguracyjnych udostępnia wysoki
  stopień możliwości określenia co i jak ma być indeksowane.
- Potężny - operatory AND, OR i NOT są obsługiwane, słowa mogą być
  obcinane(korzystając z *), i wyszukiwanie ograniczane do konkretnych
  pól (znaczniki META, tytuły itp.)
- Wolny - bezpłatny, darmowy, za friko.
- Stworzony dla stron WWW - indeksuje pliki HTML, może ignorować dane
  w większości znaczników, przyznając większą wagę informacją w
  nagłówkach i tytułach. Tytuły mogą być wyodrębniane z plików HTML i
  pojawiać się w rezultatach wyszukiwania. SWISH może automatycznie
  przeszukać całą stronę WWW w jednym przejściu, jeżeli jest w jednym
  katalogu. Można także ograniczyć wyszukiwanie do słów w tytułach HTML,
  komentarzach i znacznikach META. Dodatkowo - 8-bitowe znaki HTML mogą
  być indeksowane, przekształcane i przeszukiwane.
- Tworzy przenośne indeksy - są zawarte w tylko jednym pliku, więc
  mogą być łatwo transportowane i zarządzane.
- Można poprawić źródła - wszyscy są proszeni o wysyłanie łat i uwag
  jak ulepszyć SWISH-E. Można się też przyłączyć do dyskusji na temat
  SWISH-E.

%package doc
Summary:	Documentation for swish-e
Summary(pl.UTF-8):	Dokumentacja dla swish-e
Group:		Documentation

%description doc
SWISH-E documentation and examples

%description doc -l pl.UTF-8
Dokumentacja i przykłady dla SWISH-E

%package perl
Summary:	SWISH-E - Perl Scripts and Modules
Summary(pl.UTF-8):	SWISH-E - Skrypty i moduły dla Perla
Group:		Applications/Text
Requires:	%{name} = %{version}-%{release}

%description perl
Perl SWISH-E language bindings and scripts.

%description perl -l pl.UTF-8
Skrypty i moduły perlowe dla SWISH-E.

%package devel
Summary:	Header files for swish-e
Summary(pl.UTF-8):	Pliki nagłówkowe dla swish-e
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for swish-e.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla swish-e.

%package static
Summary:	Static library for swish-e
Summary(pl.UTF-8):	Biblioteka statyczna dla swish-e
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static library for swish-e.

%description static -l pl.UTF-8
Biblioteka statyczna dla swish-e.

%prep
%setup -q -n %{name}-%{version}-%{snap}
%patch0 -p1
%patch1 -p1

%build
%configure \
	--with-pcre
%{__make}
%{?with_tests:%{__make} test}

cd perl
echo skip | \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor \
	CCFLAGS="%{rpmcflags} -I../src" \
	LIBS="%{rpmldflags} -L../src/.libs -lswish-e" \
	SWISHINC=../src \
	SWISHLIBS=-L../src/.libs \
	SWISHVERSION=%{version} \
	SWISHBINDIR=../src

%{__make}
%{?with_tests:%{__make} test}
cd ..

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_docdir}/%{name} %{name}-doc

%{__make} -C perl install \
	DESTDIR=$RPM_BUILD_ROOT \
	PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%attr(755,root,root) %{_libdir}/libswish-e.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libswish-e.so.2
%dir %{_prefix}/lib/swish-e
%{_mandir}/man?/*

%files doc
%defattr(644,root,root,755)
%doc %{name}-doc/*

%files perl
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/swish-filter-test
%{_prefix}/lib/%{name}/perl
%attr(755,root,root) %{_prefix}/lib/%{name}/*.pl
%attr(755,root,root) %{_prefix}/lib/%{name}/*.cgi
%{_datadir}/swish-e
%dir %{perl_vendorarch}/SWISH
%{perl_vendorarch}/SWISH/*.pm
%dir %{perl_vendorarch}/auto/SWISH
%dir %{perl_vendorarch}/auto/SWISH/API
%attr(755,root,root) %{perl_vendorarch}/auto/SWISH/API/*.so

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/swish-config
%attr(755,root,root) %{_libdir}/libswish-e.so
%{_libdir}/libswish-e.la
%{_includedir}/*.h
%{_pkgconfigdir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/libswish-e.a
%changelog
* Tue Sep 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/swish-e.git;a=log;h=master

* Tue Sep 16 2014 Jan Rękorajski <baggins@pld-linux.org> 8faa500
- added tests bcond
-rel 2

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> af66a6b
- avoid namespace pollution, patch from debian

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 4065d2e
- updated to current snapshot

* Sun Sep 14 2014 Jan Rękorajski <baggins@pld-linux.org> 17c0647
- removed zero-sized .bs file

* Tue Jun 11 2013 Jan Rękorajski <baggins@pld-linux.org> 45fe6c1
- up to 2.4.7
- fix format string errors

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> da2fca2
- rebuild with perl 5.18.0
- release 4 (by relup.sh)

* Wed Mar 28 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 445e336
- release 3

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e1191c9
- release 2

* Tue Mar 10 2009 undefine <undefine@pld-linux.org> 43295d1
- included in 2.4.6

* Tue Mar 10 2009 undefine <undefine@pld-linux.org> 9c95dcd
- up to 2.4.6, patch -perl.patch already included

* Tue Apr 08 2008 Jan Rękorajski <baggins@pld-linux.org> 0e6e719
- ghost lib so symlink

* Tue Apr 08 2008 Jan Rękorajski <baggins@pld-linux.org> 6d2b4c4
- rel 6
- fixed build with perl 5.10

* Tue Apr 08 2008 Jan Rękorajski <baggins@pld-linux.org> b88d792
- fix makefile generation with perl 5.10

* Wed Mar 26 2008 Jan Rękorajski <baggins@pld-linux.org> 25102e4
- rel 5

* Thu Mar 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 13b5f99
- rel 4

* Thu Mar 06 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 4403ade
- rel.3

* Thu Nov 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 9289dd4
- rel 2; rebuild with fixed pcre

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> 1f095d0
- 2.4.5
- updated files
- fixed perl module build

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 2e3a565
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 179b291
- converted to UTF-8

